var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) {
        if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
      }
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

import { jsx as _jsx } from "react/jsx-runtime";

function Map3(props) {
  return _jsx("svg", __assign({
    width: 48,
    height: 48,
    viewBox: "0 0 48 48",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props, {
    children: _jsx("path", {
      fillRule: "evenodd",
      clipRule: "evenodd",
      d: "M8 6a2 2 0 00-2 2v18a2 2 0 002 2h2a2 2 0 110 4H8a6 6 0 01-6-6V8a6 6 0 016-6h18a6 6 0 016 6v2a2 2 0 11-4 0V8a2 2 0 00-2-2H8zm8 16a6 6 0 016-6h18a6 6 0 016 6v18a6 6 0 01-6 6H22a6 6 0 01-6-6V22zm6-2a2 2 0 00-2 2v18a2 2 0 002 2h18a2 2 0 002-2V22a2 2 0 00-2-2H22z",
      fill: "currentColor"
    }, void 0)
  }), void 0);
}

export var ReactComponent = Map3;
export default Map3;

